VERSION(8)

NAME
Version - =drive utilities

DESCRIPTION
==========================================================================================

    openSeaChest_GenericTests - openSeaChest drive utilities - NVMe Enabled Copyright (c) 2014-2023 Seagate Technology LLC and/or its Affiliates, All Rights Reserved openSeaChest_GenericTests Version: 2.2.2-6_2_0 X86_64 Build Date: Dec 1 2023 Today: Fri Dec 1 15:18:14 2023 User: current user

========================================================================================== Usage =====

    openSeaChest_GenericTests [-d <sg_device>] {arguments} {options}

Examples ========

    openSeaChest_GenericTests --scan openSeaChest_GenericTests -d /dev/sg<#> -i openSeaChest_GenericTests -d /dev/sg<#> --SATInfo openSeaChest_GenericTests -d /dev/sg<#> --llInfo openSeaChest_GenericTests -d /dev/sg<#> --shortGeneric openSeaChest_GenericTests -d /dev/sg<#> --longGeneric openSeaChest_GenericTests -d /dev/sg<#> --twoMinuteGeneric openSeaChest_GenericTests -d /dev/sg<#> --bufferTest openSeaChest_GenericTests -d /dev/sg<#> --userGenericStart 1000 --userGenericRange 65535 openSeaChest_GenericTests -d /dev/sg<#> --longGeneric --genericMode verify openSeaChest_GenericTests -d /dev/sg<#> --randomTest --hours 1 openSeaChest_GenericTests -d /dev/sg<#> --butterflyTest --minutes 15 openSeaChest_GenericTests -d /dev/sg<#> --longGeneric --genericMode verify --repairAtEnd openSeaChest_GenericTests -d /dev/sg<#> --longGeneric --stopOnError read

Return codes ============

    Generic/Common exit codes 0 = No Error Found 1 = Error in command line options 2 = Invalid Device Handle or Missing Device Handle 3 = Operation Failure 4 = Operation not supported 5 = Operation Aborted 6 = File Path Not Found 7 = Cannot Open File 8 = File Already Exists 9 = Need Elevated Privileges Anything else = unknown error

Utility Options ===============

--echoCommandLine

    Echo the command line entered into the utility on the screen.

--enableLegacyUSBPassthrough

    Only use this option on old USB or IEEE1394 (Firewire) products that do not otherwise work with the tool. This option will enable a trial and error method that attempts sending various ATA Identify commands through vendor specific means. Because of this, certain products that may respond in unintended ways since they may interpret these commands differently than the bridge chip the command was designed for.

--forceATA

    Using this option will force the current drive to be treated as a ATA drive. Only ATA commands will be used to talk to the drive.

--forceATADMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to DMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceATAPIO
    (SATA Only)

    Using this option will force the tool to issue PIO commands to ATA device when possible. This option can be combined with --forceATA

--forceATAUDMA
    (SATA Only)

    Using this option will force the tool to issue SAT commands to ATA device using the protocol set to UDMA whenever possible (on DMA commands). This option can be combined with --forceATA

--forceSCSI

    Using this option will force the current drive to be treated as a SCSI drive. Only SCSI commands will be used to talk to the drive.

--forceNVME

    Using this option will force the current drive to be treated as a NVME drive. Only NVME commands will be used to talk to the drive.

-h, --help

    Show utility options and example usage (this output you see now) Please report bugs/suggestions to seaboard@seagate.com. Include the output of --version information in the email.

--hideLBACounter

    Use this option to suppress the output from options that show LBA counters without turning off all output to the screen.

--license

    Display the Seagate End User License Agreement (EULA).

--modelMatch [model Number]

    Use this option to run on all drives matching the provided model number. This option will provide a closest match although an exact match is preferred. Ex: ST500 will match ST500LM0001

--noBanner

    Use this option to suppress the text banner that displays each time openSeaChest is run.

--onlyFW [firmware revision]

    Use this option to run on all drives matching the provided firmware revision. This option will only do an exact match.

--onlySeagate

    Use this option to match only Seagate drives for the options provided

-q, --quiet

    Run openSeaChest_GenericTests in quiet mode. This is the same as -v 0 or --verbose 0

-v [0-4], --verbose [0 | 1 | 2 | 3 | 4]

    Show verbose information. Verbosity levels are: 0 - quiet 1 - default 2 - command descriptions 3 - command descriptions and values 4 - command descriptions, values, and data buffers Example: -v 3 or --verbose 3

-V, --version

    Show openSeaChest_GenericTests version and copyright information & exit

Utility Arguments =================

-d, --device [deviceHandle | all]

    Use this option with most commands to specify the device handle on which to perform an operation. Example: /dev/sg<#> To run across all devices detected in the system, use the "all" argument instead of a device handle. Example: -d all NOTE: The "all" argument is handled by running the

specified options on each drive detected in the
    OS sequentially. For parallel operations, please use a script opening a separate instance for each device handle.

--displayLBA [LBA]

    This option will read and display the contents of the specified LBA to the screen. The display format is hexadecimal with an ASCII translation on the side (when available).

-F, --scanFlags [option list]

    Use this option to control the output from scan with the options listed below. Multiple options can be combined.

ata - show only ATA (SATA) devices
    usb - show only USB devices scsi - show only SCSI (SAS) devices nvme - show only NVMe devices interfaceATA - show devices on an ATA interface interfaceUSB - show devices on a USB interface interfaceSCSI - show devices on a SCSI or SAS interface interfaceNVME = show devices on an NVMe interface sd - show sd device handles sgtosd - show the sd and sg device handle mapping

-i, --deviceInfo

    Show information and features for the storage device

--llInfo

    Dump low-level information about the device to assist with debugging.

-s, --scan

    Scan the system and list all storage devices with logical /dev/sg<#> assignments. Shows model, serial and firmware numbers. If your device is not listed on a scan immediately after booting, then wait 10 seconds and run it again.

-S, --Scan

    This option is the same as --scan or -s, however it will also perform a low level rescan to pick up other devices. This low level rescan may wake devices from low power states and may cause the OS to re-enumerate them. Use this option when a device is plugged in and not discovered in a normal scan. NOTE: A low-level rescan may not be available on all interfaces or all OSs. The low-level rescan is not guaranteed to find additional devices in the system when the device is unable to come to a ready state.

--SATInfo

    Displays SATA device information on any interface using both SCSI Inquiry / VPD / Log reported data (translated according to SAT) and the ATA Identify / Log reported data.

--testUnitReady

    Issues a SCSI Test Unit Ready command and displays the status. If the drive is not ready, the sense key, asc, ascq, and fru will be displayed and a human readable translation from the SPC spec will be displayed if one is available.

--fastDiscovery

Use this option
    to issue a fast scan on the specified drive.

--bufferTest

    This option will perform a test using the device's echo buffer. The write buffer and read buffer commands are used to send & receive different data patterns. The patterns are compared and interface CRC errors are also checked (when available). Test patterns performed are all 0's, all F's, all 5's, all A's, walking 1's, walking 0's, and random data patterns. At completion, a count of the number of errors will be displayed.

--butterflyTest

    Use this option to start a butterfly test. A butterfly test is a test that moves back and forth between the OD and ID of the drive over and over again until the time has expired This is a timed operation. Use the time options to control how long to run this test for. The default time for this test is 1 minute.

--diameterTest [O | M | I]

    Use this option to perform a generic read/write/verify test at the specified diameter of the drive. Use the time options to specify a time based test or the --diameterTestRange option for a range based test.

O - outer diameter
    M - middle diameter I - inner diameter

    The different diameters can be combined or run individually. Ex1: --diameterTest OMI Ex2: --diameterTest O Ex3: --diameterTest MI

    Inner, middle, and outer diameter tests refer to the physical beginning and ending sections of a hard disk drive with rotating magnetic media.In the case of SSD devices, these tests refer to the logical beginning and ending sections of the solid state drive.

--diameterTestRange [range]

    Use this option with the --diameterTest option to perform a range based test. If a range is specified without any units, it is assumed to be an LBA count. Valid units are KB, KiB, MB, MiB, GB, GiB, TB and TiB. Ex1: "--diameterTestRange 1234567" for an LBA count Ex2: "--diameterTestRange 2GB" for a 2GB range.

--errorLimit [limit in number of LBAs]

    Use this option to specify a different error limit for a user generic or long generic read test or DST and Clean. This must be a number of

    logical LBAs to have errors. If a drive has multiple logical sectors per physical sector, this number will

    be adjusted for you to reflect the drive architecture.

--genericMode [ read | write | verify ]

    This options allows selection of the type of commands to use while performing a generic test. The modes supported are listed below:

read - performs a generic test using read commands
    write - performs a generic test using write commands verify - performs a generic test using verify commands

--hours [hours]

    Use this option to specify a time in hours for a timed operation to run.

--longGeneric

    This option will run a long generic read test on a specified device. A long generic read test reads every LBA on the device and gives a report of error LBAs at the end of the test, or when the error limit has been reached. Using the --stopOnError option will make this test stop on the first read error that occurs. The default error limit is 50 x number of logical sectors per physical sector. Example error limits are as follows:

512L/512P: error limit = 50
    4096L/4096P: error limit = 50 512L/4096P: error limit = 400 (50 * 8)

--minutes [minutes]

    Use this option to specify a time in minutes for a timed operation to run.

--randomTest

    Use this option to start a random test. This is a timed operation. Use the time options to control how long to run this test for. The default time for this test is 1 minute.

--seconds [seconds]

    Use this option to specify a time in seconds for a timed operation to run.

--shortGeneric

    This option will run a short generic read test on a specified device. A short generic read test has 3 components. A read at the Outer Diameter (OD) of the drive for 1% of the LBAs, then a read at the Inner Diameter of the drive for 1% of the LBAs, and lastly a random read of 5000 LBAs. This test will stop on the first read error that occurs. Inner and outer diameter tests refer to the physical beginning and ending sections of a hard disk drive with rotating magnetic media.In the case of SSD devices, these tests refer to the logical beginning and ending sections of the solid state drive.

--stopOnError

    Use this option to make a generic read test stop on the first error found.

--twoMinuteGeneric

    This option will run a 2 minute generic read test on

a specified device. There are 3 components to this test. A read at the Outer Diameter (OD) of the drive for 45

    seconds, then a read at the Inner Diameter of the drive for 45 seconds, and lastly a random read test for 30 seconds. This test will stop on the first read error that occurs. Inner and outer diameter tests refer to the physical beginning and ending sections of a hard disk drive with rotating magnetic media.In the case of SSD devices, these tests refer to the logical beginning and ending sections of the solid state drive.

--userGenericStart [LBA]

    Use this option to specify the starting LBA number for a generic read test. The --userGenericRange option must be used with this one in order to start the test. Use the stop on error, repair flags, and/or error limit flags to further customize this test.

--userGenericRange [range in # of LBAs]

    Use this option to specify the range for a generic read test. See the --userGenericStart help for additional information about using the User Generic Read tests.

Data Destructive Commands =========================

--repairAtEnd

    Use this option to repair any bad sectors found during a long or user generic read test at the end of the test.

--repairOnFly

    Use this option to repair any bad sectors found during a long or user generic read test as they are found.

    Utility Version: 2.2.2 opensea-common Version: 2.0.0 opensea-transport Version: 6.2.0 opensea-operations Version: 5.1.1 Build Date: Dec 1 2023 Compiled Architecture: X86_64 Detected Endianness: Little Endian Compiler Used: GCC Compiler Version: 7.5.0 Operating System Type: Linux Operating System Version: 4.15.0-211 Operating System Name: Ubuntu 18.04.6 LTS